<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HW Lesson 1</title>
	<style>
		body {
			padding: 50px;
		}
		h2 {
			font-weight: normal;
		}
		p {
			text-align: justify;
		}
	</style>
</head>
<body>
<h2>HTML</h2>

<p>Язык <b>HTML</b> интерпретируется <a href="https://ru.wikipedia.org/wiki/Браузер">браузерами</a>; полученный в результате интерпретации форматированный текст отображается на экране монитора компьютера или мобильного устройства.<br>

Язык <i>HTML</i> до 5-ой версии определялся как приложение <a href="https://ru.wikipedia.org/wiki/SGML">SGML</a> (стандартного обобщённого языка разметки по стандарту <a href="https://ru.wikipedia.org/wiki/ISO">ISO</a> 8879). Спецификации HTML5 формулируются в терминах <a href="https://ru.wikipedia.org/wiki/Document_Object_Model"><i>DOM</i></a> (объектной модели документа).<br>

Язык <a href="https://ru.wikipedia.org/wiki/XHTML">XHTML</a> является более строгим вариантом HTML, он следует синтаксису <a href="https://ru.wikipedia.org/wiki/XML">XML</a> и является приложением языка XML в области разметки гипертекста.<br>

Во всемирной паутине HTML-страницы, как правило, передаются браузерам от сервера по протоколам <a href="https://ru.wikipedia.org/wiki/HTTP"><i>HTTP</i></a> или <a href="https://ru.wikipedia.org/wiki/HTTPS"><i>HTTPS</i></a>, в виде простого текста или с использованием <a href="https://ru.wikipedia.org/wiki/Шифрование">шифрования</a>.</p>

<h2>Общее представление</h2>

<p>Язык HTML был разработан <a href="https://ru.wikipedia.org/wiki/Великобритания"><i>британским</i></a> учёным <a href="https://ru.wikipedia.org/wiki/Бернерс-Ли,_Тим"><b>Тимом Бернерсом-Ли</b></a> приблизительно в <a href="https://ru.wikipedia.org/wiki/1986_год"><i>1986</i></a>—
<a href="https://ru.wikipedia.org/wiki/1991_год"><i>1991 годах</i></a> в стенах <a href="https://ru.wikipedia.org/wiki/ЦЕРН"><i>ЦЕРНа</i></a> в <a href="https://ru.wikipedia.org/wiki/Женева"><i>Женеве</i></a> в <a href="https://ru.wikipedia.org/wiki/Швейцария"><i>Швейцарии</i></a>. HTML создавался как язык для обмена научной и технической документацией, пригодный для использования людьми, не являющимися специалистами в области <a href="https://ru.wikipedia.org/wiki/Вёрстка"><i>вёрстки</i></a>. HTML успешно справлялся с проблемой сложности SGML путём
определения небольшого набора структурных и <a href="https://ru.wikipedia.org/wiki/Семантика"><b>семантических</b></a> элементов — дескрипторов.<br>

Дескрипторы также часто называют «<a href="https://ru.wikipedia.org/wiki/Тег_(языки_разметки)"><b><i>тегами</i></b></a>». С помощью HTML можно легко создать относительно простой, но красиво оформленный документ. Помимо упрощения структуры документа, в HTML внесена поддержка <a href="https://ru.wikipedia.org/wiki/Гипертекст"><i>гипертекста</i></a>. <a href="https://ru.wikipedia.org/wiki/Мультимедиа"><i>Мультимедийные</i></a> возможности были добавлены позже.<br>

Изначально язык HTML был задуман и создан как средство структурирования и форматирования документов без их привязки к средствам воспроизведения (отображения). В идеале, текст с разметкой HTML должен был без стилистических и структурных искажений воспроизводиться на оборудовании с различной технической оснащённостью (цветной экран современного компьютера, монохромный экран органайзера, ограниченный по размерам экран мобильного телефона или устройства и программы голосового воспроизведения текстов). Однако современное применение HTML очень далеко от его изначальной задачи. Например, тег &lt;table&gt; предназначен для создания в документах таблиц, но иногда используется и для оформления размещения элементов на странице. 
С течением времени основная идея платформо независимости языка HTML была принесена в жертву современным потребностям в мультимедийном и графическом оформлении.<br>

Браузеры<br> <!-- h2? -->

Текстовые документы, содержащие разметку на языке HTML (такие документы традиционно имеют <a href="https://ru.wikipedia.org/wiki/Расширение_имени_файла"><i>расширение</i></a> <b>.html</b> или <b>.htm</b>), обрабатываются специальными <a href="https://ru.wikipedia.org/wiki/Прикладное_программное_обеспечение"><i>приложениями</i></a>, которые отображают документ в его форматированном виде. Такие приложения, называемые «браузерами» или «интернет-обозревателями», обычно предоставляют пользователю удобный <a href="https://ru.wikipedia.org/wiki/Интерфейс_пользователя"><i>интерфейс</i></a> для запроса <a href="https://ru.wikipedia.org/wiki/Веб-страница"><i>веб-страниц</i></a>, их просмотра (и вывода на иные внешние устройства) и, при необходимости, отправки введённых пользователем данных на сервер. Наиболее популярными на сегодняшний день браузерами являются <b>Google Chrome, Mozilla Firefox, Opera, Internet Explorer</b> и <b>Safari</b>.</p>
</body>
</html>